=== modified file 'codeigniter/application/controllers/ExamplesController.php'
--- codeigniter/application/controllers/ExamplesController.php	2013-04-22 09:51:59 +0000
+++ codeigniter/application/controllers/ExamplesController.php	2013-05-03 11:39:08 +0000
@@ -2,47 +2,103 @@
 
 class ExamplesController extends CI_Controller {
 
-	/**
-	 * Index Page for this controller.
-	 *
-	 * Maps to the following URL
-	 * 		http://example.com/index.php/welcome
-	 *	- or -  
-	 * 		http://example.com/index.php/welcome/index
-	 *	- or -
-	 * Since this controller is set as the default controller in 
-	 * config/routes.php, it's displayed at http://example.com/
-	 *
-	 * So any other public methods not prefixed with an underscore will
-	 * map to /index.php/welcome/<method_name>
-	 * @see http://codeigniter.com/user_guide/general/urls.html
-	 */
 	public function index()
 	{
 		/* headData manages the <head>-tag and loads corresponding CSS.
 		 * The views that are entered will load CSS with same name.
 		 * Ex. test_header will load test_header.css
 		 */
-		$headData['list'] = array('header', 'examplesMenu', 'examplesBody');
+		$this->load->library('session');
+		$headData['list'] = array('headTag', 'header', 'examplesMenu', 'examplesBody');
+		$this->load->view('headTag', $headData);
+		
+		$this->load->helper('form');
+		
+		// Loading model to retrieve login data
+		$this->load->model('user');
+		$userInfo = array(
+			'userType' => $this->user->getUserType(),
+			'userName' => $this->user->getUserName()
+		);
+		
+		$this->load->view('header', $userInfo);
+			
+		/* Loads used models */
+		$this->load->model('ExamplesModel');
+		
+		// menuData loads items to the menu.
+		$allTitles = array();
+		
+		/* Loads categorydata into array */
+		$query = $this->ExamplesModel->getTitles($userInfo['userName']);
+		foreach ($query as $row)
+		{
+			// Category
+			$query2 = $this->ExamplesModel->getBody($row->categoryName);
+			$allTitles[$row->categoryName] = array();
+			foreach ($query2 as $row2)
+			{
+				// Subcategory
+				$query3 = $this->ExamplesModel->getExamples($row2->subCategoryName);
+				$allTitles[$row->categoryName][$row2->subCategoryName] = array();
+				foreach ($query3 as $row3)
+				{
+					//Examples
+					$allTitles[$row->categoryName][$row2->subCategoryName][] = $row3->exampleName;
+				}
+
+			}
+		}
+		/* Menu for examples page showing categories */
+		$this->load->view('examplesMenu', array('titles' => $allTitles));
+		
+		/* Loads body for examples page */
+		$this->load->view('examplesBody', array('titles' => $allTitles));	
+
+	}
+	
+	public function validate() {
+		//Load required library
+		$this->load->library('form_validation');
+		
+		//Sets validation rules
+		$this->form_validation->set_rules('username', 'Username', 'trim|required|xss_clean');
+		$this->form_validation->set_rules('password', 'Password', 'trim|required|xss_clean');
+		
+		//Run validation
+		if($this->form_validation->run() == FALSE) {
+			//Field validation failed. Display login form (with error message).
+			$this->drawLoginForm(validation_errors());
+		} else {
+			$username = $this->input->post('username');
+			$password = $this->input->post('password');
+			
+			//Try to login
+			if ($this->user->login($username, $password)) {
+				redirect(base_url().'home', 'refresh');
+			} else {
+				$this->drawLoginForm('Access denied!');
+			}
+		}
+	}
+	
+	
+	/*
+	 *	This function draws the login form.
+	 */
+	private function drawLoginForm($errors) {
+		//Load required library
+		$this->load->helper(array('form'));
+		
+		//Display the view
+		$data['error'] = $errors;
+		$headData['list'] = array('headTag', 'header', 'login_view');
 		$this->load->view('headTag', $headData);
 		$this->load->view('header');
-		
-		// menuData loads items to the menu.
-		$menuData['list'] = array('Quizzes', 'JavaScript', 'jQuery', 'AJAX API', 'SQL', 'PHP', 'Rollekunskap');
-		$this->load->view('examplesMenu', $menuData);
-		
-		// examples matrix loads headers and example titles to the body.
-		$examples['titles'] = Array(
-			'JavaScript' => Array('Example0', 'Example1', 'Example2'),
-			'jQuery' => Array('Example0', 'ruben', 'Example2'),
-			'AJAX API' => Array('Example0', 'Example1', 'Example2'),
-			'SQL' => Array('Example0', 'Example1', 'Example2'),
-			'PHP' => Array('Example0', 'Example1', 'Example2'),
-			'Rollekunskap' => Array('Rolle', 'is', 'awsome', 'because', 'he', 'can', 'fix', 'stuffs')
-		);
-		$this->load->view('examplesBody', $examples);	
+		$this->load->view('login_view', $data);
 	}
+	
 }
 
-/* End of file welcome.php */
-/* Location: ./application/controllers/welcome.php */
\ No newline at end of file
+/* End of file ExamplesController.php */
+/* Location: ./application/controllers/ExamplesController.php */
\ No newline at end of file

=== added file 'codeigniter/application/controllers/ajax.php'
--- codeigniter/application/controllers/ajax.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/controllers/ajax.php	2013-05-03 11:39:08 +0000
@@ -0,0 +1,43 @@
+<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
+
+	class Ajax extends CI_Controller {
+		/*
+		 *	Constructor
+		 */
+		function __construct() {
+			parent::__construct();
+			
+			//Load required library
+			$this->load->model('user', '', TRUE);
+		}
+		
+		
+		/*
+		 *	This function outputs data: user password hint.
+		 */
+		public function pwdhint($user) {
+			$data = array(
+				'hint' => $this->user->getPasswordHint($user)
+			);
+			
+			//Output JSON data
+			echo json_encode($data);
+		}
+		
+		/*
+		 *	This function outputs data: user password hint.
+		 */
+		public function pwdchange() {
+			$pwdOld = $this->input->post('currentPwd');
+			$pwdNew = $this->input->post('newPwd');
+			$pwdHint = $this->input->post('hintPwd');
+		
+			$data = array(
+				'status' => $this->user->changePassword($pwdOld, $pwdNew, $pwdHint)
+			);
+			
+			//Output JSON data
+			echo json_encode($data);
+		}
+	}
+?>
\ No newline at end of file

=== added file 'codeigniter/application/controllers/layout.php'
--- codeigniter/application/controllers/layout.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/controllers/layout.php	2013-05-03 11:39:08 +0000
@@ -0,0 +1,42 @@
+<?php
+/*
+Copyright (C) Högskolan i Skövde <his.se> 2013.
+Copyright (C) Oscar Jonsson <c11oscjo@student.his.se> 2013.
+Copyright (C) Simon Bergöö <a11simbe@student.his.se> 2013.
+This file is part of LenaSYS
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU Lesser General Public License as published by
+the Free Software Foundation, either version 3 of the License.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU Lesser General Public License for more details.
+
+You should have received a copy of the GNU Lesser General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+class layout extends CI_Controller {
+	
+	public function index() {
+		$headData['list'] = array('headTag', 'header', 'layout_view');
+		$this->load->view('headTag', $headData);
+		$this->load->helper('form');
+		$this->load->model('user');
+		$userInfo = array(
+			'userType' => $this->user->getUserType(),
+			'userName' => $this->user->getUserName()
+		);
+		
+		$this->load->view('header', $userInfo);
+		$this->load->view('layout_view');
+		
+	}
+	public function test($arg1){
+		echo "<h1> Layout ".$arg1."</h1>".
+			 "<p>You have pressed layout ".$arg1.". (This is only a test-function and will be removed.)</p>";
+	}
+	
+}
\ No newline at end of file

=== modified file 'codeigniter/application/controllers/login.php'
--- codeigniter/application/controllers/login.php	2013-04-22 09:52:07 +0000
+++ codeigniter/application/controllers/login.php	2013-05-03 11:39:08 +0000
@@ -66,6 +66,15 @@
 			
 			//Display the view
 			$data['error'] = $errors;
+			$headData['list'] = array('headTag', 'header', 'login_view');
+			$this->load->view('headTag', $headData);
+		$this->load->model('user');
+		$userInfo = array(
+			'userType' => $this->user->getUserType(),
+			'userName' => $this->user->getUserName()
+		);
+		
+		$this->load->view('header', $userInfo);
 			$this->load->view('login_view', $data);
 		}
 	}

=== added file 'codeigniter/application/models/examplesmodel.php'
--- codeigniter/application/models/examplesmodel.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/models/examplesmodel.php	2013-05-03 11:39:08 +0000
@@ -0,0 +1,47 @@
+<?php
+	Class examplesmodel extends CI_Model
+	{
+		/* Loads category names for menu */
+		function getTitles($user)
+		{
+			$this -> db -> select('Categories.categoryName, Categories.CourseID');
+			$this -> db -> from('Categories');
+			$this -> db -> join('StudentCourseRegistrations', 'Categories.courseID = StudentCourseRegistrations.courseID'); 
+			$this -> db -> where('StudentCourseRegistrations.username', $user); 
+		/* 	$this -> db -> where('StudentCourseRegistrations.courseID', 'd1popcrn');  
+		* 	Line is disabled for now because of testing purposes.
+		*	Will be modified to be used with parameter in function.
+		*/
+			
+			$query = $this -> db -> get();
+			return $query->result();
+
+		}
+		
+		/* Loads categorys & subcategorys for body */
+		function getBody($categoryName)
+		{
+			$this -> db -> select('subCategoryName');
+			$this -> db -> from('SubCategories'); 
+			$this -> db -> where('categoryName', $categoryName); 
+
+			$query = $this -> db -> get();
+			return $query->result();
+
+		}
+		
+		/* Loads examples for categorys */
+		function getExamples($subCategoryName)
+		{
+			$this -> db -> select('exampleName');
+			$this -> db -> from('Examples'); 
+			$this -> db -> where('subCategoryName', $subCategoryName); 
+
+			$query = $this -> db -> get();
+			return $query->result();
+
+
+		}
+	}
+?>
+

=== modified file 'codeigniter/application/models/user.php'
--- codeigniter/application/models/user.php	2013-04-18 18:40:36 +0000
+++ codeigniter/application/models/user.php	2013-05-03 11:39:08 +0000
@@ -11,9 +11,8 @@
 			$this->load->library('session');
 		}
 
-		//Queries the DB and for a matching username and password. Returns result or false.
 		/*
-		 *	Constructor
+		 *	This function logs the user in (returns FALSE on fail).
 		 */ 
 		public function login($username, $password)
 		{			
@@ -49,10 +48,10 @@
 				
 				//Return success
 				return TRUE;
-			} else {
-				//Return fail
-				return FALSE;
-			}	
+			}
+
+			//Return fail
+			return FALSE;	
 		}
 
 
@@ -71,13 +70,160 @@
 		public function isLoggedIn() {	
 			if ($this->session->userdata('authenticated')) {
 				return TRUE;
-			} else {
-				return FALSE;
-			}
-		}
-		
-		
-		//Generates a password hash using a user-unique salt.
+			}
+			
+			return FALSE;
+		}
+		
+		
+		/*
+		 *	This function returns the users type (or FALSE if user isn't logged in).
+		 */ 
+		public function getUserType() {	
+			if($this->isLoggedIn()) {
+				$temp = $this->session->userdata('authenticated');
+				return $temp['usertype'];
+			}
+			
+			return FALSE;
+		}
+		
+		
+		/*
+		 *	This function returns the username (or FALSE if user isn't logged in).
+		 */ 
+		public function getUserName() {	
+			if($this->isLoggedIn()) {
+				$temp = $this->session->userdata('authenticated');
+				return $temp['username'];
+			}
+			
+			return FALSE;
+		}
+		
+		
+		/*
+		 *	This function returns the users password hint (or FALSE if user isn't logged in).
+		 */ 
+		public function getPasswordHint($user) {
+			$hint = '';
+
+			//Query-structure
+			$this->db->select('passwdHint');
+			$this->db->from('Users');
+			$this->db->where('userName', $user);
+			$this->db->limit(1);
+			
+			//Execute query
+			$query = $this->db->get();
+			$result = $query->result();
+			
+			//If a matching DB record is found.
+			if($result) {
+			    foreach($result as $row) {
+			    	$hint = $row->passwdHint;
+			    	return $hint;
+			    }
+			}
+			
+			return FALSE;
+		}
+		
+		
+		/*
+		 *	This function registers user into the database.
+		 */
+		public function addUser($userName, $name, $ssn, $password, $userType, $pwdHint) {
+			//Check that a user is logged in and has the right privileges (is teacher)
+			if($this->isLoggedIn() && $this->getUserType() === 'Teacher') {
+				//Generate a salted hash
+				$hash = $this->getSaltedHash($password);
+				
+				//Query-structure (All values are escaped automatically by codeigninte, producing safer queries.)
+				$this->db->set('userName', $userName);
+				$this->db->set('name', $name);
+				$this->db->set('ssn', $ssn);
+				$this->db->set('passwd', $password);
+				$this->db->set('userType', $userType);
+				$this->db->set('passwdHint', $pwdHint);
+				$result = $this->db->insert('Users');
+				
+				//Check for my-sql error
+				if($result) {
+					//Return success
+					return TRUE;
+				} 
+			}
+			
+			//Return error
+			return FALSE;
+		}
+		
+
+		/*
+		 *	This function changes the users password.
+		 */ 
+		public function changePassword($pwdOld, $pwdNew, $pwdHint) {
+			//Check that a user is logged in.
+			if($this->isLoggedIn()) {
+				$user = $this->getUserName();
+				$oldHash = $this->getSaltedHash($pwdOld);
+				$newHash = $this->getSaltedHash($pwdNew);
+				
+				//Validate
+				$this->db->select('userName');
+				$this->db->from('Users');
+				$this->db->where('userName', $user);
+				$this->db->where('passwd', $oldHash);
+				$this->db->limit(1);
+				$query = $this->db->get();
+				$result = $query->result();
+				
+				//If a matching DB record is found, update database with new info.
+				if($result) {
+					$data = array(
+						'passwd' => $newHash,
+						'passwdHint' => $pwdHint
+					);
+					
+					$this->db->where('userName', $user);
+					$this->db->update('Users', $data);
+					
+					//Return Success!
+					return TRUE;							
+				}
+			}
+			
+			//Return error
+			return FALSE;
+		}
+
+		
+		/*
+		 *	This function removes users from the database.
+		 */ 
+		public function removeUser($userName) {
+			//Check that a user is logged in, has the right privileges (is teacher) and not is the users own username.
+			if($this->isLoggedIn() && $this->getUserType() === 'Teacher' && $this->getUserName() != $userName) {
+				//Query-structure
+				$this->db->where('userName', $userName);
+				$result = $this->db->delete('Users');		 
+				
+				//Check for my-sql error
+				if($result) {
+					//Return success
+					return TRUE;
+				} 
+			}
+			
+			//Return error
+			return FALSE;
+		}
+		
+
+		/*
+		 *	Generates a password hash using a user-unique salt.
+		 */		
 		private function getSaltedHash($pwd)
 		{	
 			/* Salt algorithm:

=== modified file 'codeigniter/application/views/examplesBody.php'
--- codeigniter/application/views/examplesBody.php	2013-04-22 09:51:59 +0000
+++ codeigniter/application/views/examplesBody.php	2013-05-03 11:39:08 +0000
@@ -1,16 +1,26 @@
+
+<!-- examplesBody.php -->
 	<div id="bodyContainer">
 		<div class="pinkBanner">
 			<h1 name="Quizzes">Quizzes</h1>
 		</div>
+		
 		<!-- Loops down below makes it possible to load values from a source -->
-	<?php foreach ($titles as $key => $value):?>
+	<?php foreach ($titles as $category => $categoryArray):?>
 		<div class="blueBanner">
-				<h1 name="<?php echo $key;?>"><?php echo $key;?></h1>
-			</div>
-			<?php foreach ($value as $page):?>
-	<p><a href="#"><?php echo $page;?></a></p>
-			<?php endforeach;?>	
+			<h1 name="<?php echo $category;?>"><?php echo $category;?></h1>
+		</div>
+		<?php foreach ($categoryArray as $subCategory => $subCatArray):?>
+			<h3><?php echo $subCategory;?></h3>
+			<?php 
+			if(count($subCatArray)>0){
+			foreach ($subCatArray as $example):?>
+				<p><a href="#"><?php echo $example;?></a></p>
+			<?php endforeach;}?>	
+		<?php endforeach;?>	
 	<?php endforeach;?>	
 	</div>
+
+	</div>
 </body>
-</html>
\ No newline at end of file
+</html>

=== modified file 'codeigniter/application/views/examplesMenu.php'
--- codeigniter/application/views/examplesMenu.php	2013-04-22 09:51:59 +0000
+++ codeigniter/application/views/examplesMenu.php	2013-05-03 11:39:08 +0000
@@ -1,12 +1,17 @@
+
+<!-- examplesMenu.php -->
 	<div id="menuContainer">
 		<div id="navigation">
 			<ul>
 					<li class="menuHeader">Quick links</li>
 					<!-- Loads menu items from array -->
-				<?php foreach ($list as $item):?>
-	<a href="#<?php echo $item;?>" class="menuLink"><li><?php echo $item;?></li></a>
+				<?php 
+				$list = array_keys($titles);
+				foreach ($list as $item):?>
+	<li class="menuLink" data-name="<?php echo $item;?>"><?php echo $item;?></li></a>
 				<?php endforeach;?>			
 			</ul>
 		</div>
 	</div>
 	<div id="wrapper">
+	
\ No newline at end of file

=== modified file 'codeigniter/application/views/headTag.php'
--- codeigniter/application/views/headTag.php	2013-04-22 09:51:59 +0000
+++ codeigniter/application/views/headTag.php	2013-05-03 11:39:08 +0000
@@ -1,11 +1,23 @@
-<html>
+<html lang="en">
 <head>
+	<title>LenaSYS | din sked i keson</title>
 	<meta http-equiv="content-type" content="text/html;charset=UTF-8">
-	<!-- Loads CSS for each view entered in array -->
-	<?php foreach ($list as $item):?>
-<link rel="stylesheet" href="<?php echo base_url();?>codeigniter/css/<?php echo $item;?>.css" type="text/css" media="screen"/>
-	<?php endforeach;?>
-<script type="text/javascript" src="http://wwwlab.iki.his.se/~gush/Webbprogrammering/jquery/jquery-1.8.2.min.js"></script>
-	<script type="text/javascript" src="../js/head_tag.js"></script>
+	<script src="http://wwwlab.iki.his.se/~gush/Webbprogrammering/jquery/jquery-1.8.2.min.js"></script>
+	<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
+	<link rel="shortcut icon" href="<?php echo base_url();?>img/LSlogo.png">
+	<!--Loads CSS for each view entered in array
+		example: view.css
+	-->
+	<?php foreach ($list as $item):?>
+<link rel="stylesheet" href="<?php echo base_url();?>css/<?php echo $item;?>.css" type="text/css" media="screen"/>
+	<?php endforeach;?>
+
+	<!--Loads JS for each view entered in array 
+		example: view.js
+	-->
+	<?php foreach ($list as $item):?>
+<script type="text/javascript" src="<?php echo base_url();?>js/<?php echo $item;?>.js"></script>
+	<?php endforeach;?>
+	
 </head>
 <body>

=== modified file 'codeigniter/application/views/header.php'
--- codeigniter/application/views/header.php	2013-04-22 09:51:59 +0000
+++ codeigniter/application/views/header.php	2013-05-03 11:39:08 +0000
@@ -1,6 +1,81 @@
-	<div id="header">
-		<div id="logoContainer">
-			<a href="#" class="logo" title="Back to startpage">haha poo xD!</a>
-			<span class="title">Webbprogrammering</span>
-		</div>
-	</div>
+
+<!-- header.php -->
+<div id="header">
+	<span class="title">Läran om Gson - D1POPCRN (7.5hp)</span>
+	<a href="#" class="logo" title="Back to startpage">haha poo xD!</a>
+	<span class="outerBorder"></span>
+
+<?php
+	//$userName
+	//$userType
+	if($userName==''){
+	
+	echo '<span class="userConfig notLoggedIn" id="loginLink" >
+	<p class="userLink" title="Click to login">1</p>
+	<span class="userInformation">Login</span>
+	</span>';
+	}
+	else if($userName!=''){
+	
+	echo '<span class="userConfig loggedIn" id="popoutLink">
+	<p class="userLink" title="Configuration">#</p>	
+	<span class="userInformation">'.$userName.'</span>
+	</span>';
+	}
+?>
+</div>
+
+<div class="invisHeader">
+	<div id="popoutMenu">
+		<ul><!--[if IE]>Using IE! You piece of shit!<![endif]-->
+			<a href="#"><li>Settings</li></a>
+			<a href="javascript:expandCourses();"><li class="expander">Courses</li></a>
+			<ul id="expandedCourses"> 
+				<li class="expanded">JavaScript - DA113G</li>
+				<li class="expanded">AJAX API - DA235H</li>
+				<li class="expanded">SQL Database - CP666A</li>
+			</ul>
+			<a href="#"><li>Add User</li></a>
+			<li name="changePwd" title="Click to change password">Change Password</li>
+			<a href="<?php echo base_url(); ?>logout"><li>Logout</li></a>
+		</ul>
+	</div>
+</div>
+
+	<div id="passwordChanger">
+		<p class="passwordHeader">Change password</p><p class="passwordHeaderBorder"></p>
+		<form id="changePassword" onsubmit="return confirm('<?php echo base_url(); ?>'); return false;">
+			<p>Current password:
+				<span class="errorMessage" name="currentPwd" title="Enter your current password.">#</span>
+				<input type="password" id="currentPwd"/>
+			</p>
+			<p>New password:
+				<span class="errorMessage" name="newPwd" title="Password can only use: a-z A-Z 0-9 _ - and must be of minimum 6 characters.">#</span>
+				<input type="password" id="newPwd" onkeyup="validNewPwd(), validRepeatedPwd();"/>
+			</p>
+			<p>Repeat password:
+				<span class="errorMessage" name="repeatPwd" title="Passwords don't match!">#</span>
+				<input type="password" id="repeatPwd" onkeyup="validRepeatedPwd();"/>
+			</p>
+			<p>Password hint:
+				<span class="errorMessage" name="hintPwd" title="This hint should be cool!">#</span>
+				<input type="text" id="hintPwd"/>
+			</p>
+			<input type="button" class="button" value="Cancel" onclick="cancelPasswordChange();"/>
+			<input type="button" class="button" value="Ok" onclick="confirm('<?php echo base_url(); ?>');"/>
+		</form>
+	</div>
+	<div id="formContainer" hidden="hidden">
+		<h2 class="loginTitle">Login</h2>
+		<?php echo form_open('login/validate'); ?>
+		<div class="inputarea">
+			<input class="text" type="text" size="20" id="username" name="username" placeholder="username"/><br>
+			<input class="text" type="password" size="20" id="password" name="password" placeholder="password"/><br>
+		</div>
+		<div>
+			<input class="hint" type="button"/>
+			<input class="submit" type="submit" value="Login"/>
+		</div>
+		</form>
+	</div>
+	
\ No newline at end of file

=== modified file 'codeigniter/application/views/home_view.php'
--- codeigniter/application/views/home_view.php	2013-04-22 09:52:07 +0000
+++ codeigniter/application/views/home_view.php	2013-05-03 11:39:08 +0000
@@ -7,6 +7,8 @@
 		<h1>Home</h1>
 		<h2>Welcome!</h2>
 		<a href="<?php echo base_url(); ?>codeviewer">CodeViewer</a><br>
+		<a href="<?php echo base_url(); ?>ExamplesController">Examples</a><br>
+		<a href="<?php echo base_url(); ?>layout">Template layout</a><br>
 		<a href="<?php echo base_url(); ?>logout">Logout</a><br>
 		<pre>
 			<?php

=== added file 'codeigniter/application/views/layout_view.php'
--- codeigniter/application/views/layout_view.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/layout_view.php	2013-05-03 11:39:08 +0000
@@ -0,0 +1,62 @@
+<!doctype html>
+<?php /*
+Copyright (C) Högskolan i Skövde <his.se> 2013.
+Copyright (C) Oscar Jonsson <c11oscjo@student.his.se> 2013.
+Copyright (C) Simon Bergöö <a11simbe@student.his.se> 2013.
+This file is part of LenaSYS
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU Lesser General Public License as published by
+the Free Software Foundation, either version 3 of the License.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU Lesser General Public License for more details.
+
+You should have received a copy of the GNU Lesser General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/?>
+<html>
+<head>
+<link href="<?php echo base_url()?>css/template_layout.css" rel="stylesheet" type="text/css">
+<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
+<script src="<?php echo base_url()?>js/template_layout.js"></script>
+</head>
+<body>
+	<div id="menucolumn">
+	</div>
+	<div id="boxcolumn">
+	<?php
+		
+		echo "<div id=\"mostUsed\">";
+		$i;
+		for($i = 1; $i <= 16; $i++){ //Add more numbers in the forloop to add more boxes, add more images with equal names to add more boxes with pictures
+			echo "<a href=\"".base_url()."layout/test/".$i."\" class=\"box\" style=\"background-image:url('".
+			base_url()."img/template_layout_img/".$i.".png') \"></a>";
+			
+			if ($i == 5){
+				echo "</div>
+					<div id=\"lessUsed\" hidden=\"hidden\">"; 
+			}
+		}
+		/*
+		* This for-loop ads the last empty boxes to fill out the row (just for the look, according to the mockup)
+		*/
+		$i-=1;
+		if($i % 10 != 0){
+		for($m = 5 - $i % 5; $m >= 1; $m--){
+			echo "<div class=\"box2\"></div>";
+
+		}
+		}
+				
+	?>	
+	</div>
+		<div id="buttonContainer">
+			<a href="#" id="hideButton" class="showhide" hidden="hidden" onclick="hide()">Hide</a>
+			<a href="#" id="showButton" class="showhide"  onclick="show()">Show</a>
+		</div>
+	</div>
+</body>
+</html>
\ No newline at end of file

=== modified file 'codeigniter/application/views/login_view.php'
--- codeigniter/application/views/login_view.php	2013-04-18 18:40:36 +0000
+++ codeigniter/application/views/login_view.php	2013-05-03 11:39:08 +0000
@@ -1,21 +1,9 @@
-<!DOCTYPE HTML>
-<html xmlns="http://www.w3.org/1999/xhtml">
-	<head>
-		<title>LenaSys</title>
-	</head>
-	<body>
-		<h1>LenaSys</h1>
-		<div>
-		    <?php echo $error; ?>
-		</div>
-		<div>
-		    <?php echo form_open('login/validate'); ?>
-		    	<label for="username">Username:</label>
-		    	<input type="text" size="20" id="username" name="username"/><br>
-		    	<label for="password">Password:</label>
-		    	<input type="password" size="20" id="password" name="password"/><br>
-		    	<input type="submit" value="Login"/>
-		    </form>
-		</div>
-	</body>
-</html>
\ No newline at end of file
+
+	<!-- Login_view.php
+	***	TEMPORARY LOGIN INFORMATION - WILL BE REPLACED/NOT IMPLEMENTED ***
+	-->
+	<div id="infoWrapper">
+		<div class="infoText"></div>
+		<p class="info">yes helo, ples clikc topright to logun! tenks</p>
+	</div>
+	
\ No newline at end of file

=== modified file 'codeigniter/css/examplesBody.css'
--- codeigniter/css/examplesBody.css	2013-04-22 09:51:59 +0000
+++ codeigniter/css/examplesBody.css	2013-05-03 11:39:08 +0000
@@ -45,8 +45,9 @@
 #bodyContainer{
 	float:left;
 	margin-left:5em;
-	margin-top:5em;
-	width:70%;
+	margin-top:65px;
+	width:80%;
+	z-index:0;
 }
 
 /*	pinkBanner is a class for a div which contains the style settings for a header that contains h1 */

=== modified file 'codeigniter/css/examplesMenu.css'
--- codeigniter/css/examplesMenu.css	2013-04-22 09:51:59 +0000
+++ codeigniter/css/examplesMenu.css	2013-05-03 11:39:08 +0000
@@ -8,7 +8,7 @@
 #wrapper{
 	margin-left: 17em;
 	margin-right: auto;
-	width:70em;
+	width:60%;
 }
 
 /* Container for menu */
@@ -22,7 +22,6 @@
 	margin-top:5em;
 	border: 1px solid #D0D0D0;
 	border-bottom:0px;
-	-webkit-box-shadow: 0 0 8px #D0D0D0;
 }
 
 /* Menu list */

=== added file 'codeigniter/css/headTag.css'
=== modified file 'codeigniter/css/header.css'
--- codeigniter/css/header.css	2013-04-22 09:51:59 +0000
+++ codeigniter/css/header.css	2013-05-03 11:39:08 +0000
@@ -1,6 +1,19 @@
+* {
+	margin:0; 
+	padding:0;
+}
+
+@font-face{
+	font-family: icomoon;
+	src: url(../img/icomoon.ttf);
+}
+
+.icomoon{
+	font-family: "icomoon";
+	font-size: 150%;
+}
+
 body{
-	margin:0;
-	padding:0;
 	overflow-x:hidden;
 }
 
@@ -14,21 +27,21 @@
 	height:50px;
 	border:1px solid #111111;
 	background-color: #333333;
-	-webkit-box-shadow: 0 0 8px #D0D0D0;
-}
-
-/* Container for logo */
-#logoContainer {
-	margin-top:0px;
-	margin-left:8em;
-	margin-right:2em;
-	height:50px;
-}
-
-/* Logo picture and link */
-.logo{
+}
+
+.invisHeader{
+	position:fixed;
+	float:left;
+	top:50px;
+	width:100%;
+	height:0px;
+	z-index:30000;
+}
+
+a.logo{
+	position:fixed;
+	left:105px;
 	display:block;
-	position: absolute;
 	width: 162px;
 	height: 51px;
 	background-image: url(../img/logo.png);
@@ -36,12 +49,348 @@
 	text-indent: -99999px; 
 }
 
+span{
+	font: 16px Helvetica;
+	font-weight: bold;
+}
+
 /* Course title */
 span.title{
+	position:fixed;
+	left:300px;
+	top:20px;
+	height:31px;
+	color: #fff;
+}
+
+span.outerBorder{
+	float:right;
+	height:50px;
+	margin-right:8em;
+	border-right: 1px solid #555;
+}
+.userConfig{
+	cursor:pointer;
+	float:right;
+	display:block;
+	height: 50px;
+	width:155px;
+}
+.userConfig:hover{
+	background-color: #ae2771 !important;
+}
+.userConfig:active{
+	color: #333 !important;
+}
+
+.userLink{
+	float:right;
+	display:block;
+	width: 60px;
+	height: 50px;
+	border-right:1px solid #111;
+	font-family: "icomoon";
+	font-size: 220%;
+	text-indent: 10px;
+	text-decoration: none;
+	line-height:150%;
+	color: white !important;
+	background-repeat:no-repeat; 
+	background-position:right;
+}
+
+span.userInformation{
+	float:right;
+	font-weight:normal;
+	padding-top:20px;
+	height:31px;
+	color: #fff;
+	margin-left: 1em;
+}
+
+#popoutMenu{
+	font-family: Helvetica;
+	font-size:13px;
+	float:right;
+	position:relative;
+	margin-right:9.8em;
+	padding:0;
+
+}
+
+#popoutMenu a{
+	color: #FFF;
+	text-decoration:none;
+}	
+
+#popoutMenu ul {
+	list-style-type:none;
+	width:100%;
+	margin:0;
+	padding:0;
+	line-height: 250%;
+	font-weight: bold;
+}
+
+
+#popoutMenu li {
+	padding-left:10px;
+	padding-right:15px;
+	width:220px;
+	margin:0;
+	background-color:#333;
+	border-top: 1px solid #555;
+	border-left: 1px solid #555;
+	border-bottom:1px solid #111;
+	border-right:1px solid #111;
+	color:#fff;
+	cursor: pointer;
+	-webkit-touch-callout: none;
+	-webkit-user-select: none;
+	-khtml-user-select: none;
+	-moz-user-select: none;
+	-ms-user-select: none;
+	user-select: none;
+}
+
+.expander{
+	background-image: url(../img/expandIcon.png); /* Will be replaced with font. */
+	background-repeat:no-repeat; 
+	background-position:right;
+}
+
+
+#popoutMenu li:hover {
+	background-color: #0a68ad;
+	color: #fff;
+}
+
+#popoutMenu li.expanded{
+	color:#fff;
+	cursor: pointer;
+	margin-left:1px;
+	text-indent: 15px;
+	border:0;
+	background-color: #202020;
+	line-height: 200%;
+	-webkit-touch-callout: none;
+	-webkit-user-select: none;
+	-khtml-user-select: none;
+	-moz-user-select: none;
+	-ms-user-select: none;
+	user-select: none;
+}
+
+#popoutMenu li.expanded:hover {
+	background-color: #ae2771;
+	color: #fff;
+}
+
+.checkedCourse{
+	background-image: url(../img/expandIcon.png); /* Will be replaced with font. */
+	background-repeat:no-repeat; 
+	background-position:left;
+	background-color: #ff0000;
+}
+
+
+/* Window for change password */
+#passwordChanger{
+	/* Position & Size */
+	position:fixed;
+	left:35%;
+	top:24%;
+	padding:20px;
+	width:300px;
+	height:150px;
+	
+	/* Colors */	
+	color:white;
+	background-color:#333;
+
+	/* Fonts */	
+	line-height: 200%;
+	font-family: Helvetica;
+	
+	/* Borders */
+	border-top: 1px solid #555;
+	border-left: 1px solid #555;
+	border-bottom:1px solid #111;
+	border-right:1px solid #111;
+	-webkit-box-shadow: 0 0 8px #000;
+}
+
+#passwordChanger input{
+	width:40%;
+	margin-right:5px;
+	float:right;
+}
+
+#passwordChanger .passwordHeader{
+	/* Position & Size */
+	width:320px;
+	height:30px;
+	margin-left:-21px;
+	margin-top:-20px;
+	padding-left:20px;
+	
+	/* Fonts */
+	font-size: 18px;
 	line-height:200%;
-	margin-top:2em;
-	margin-left:7em;
-	color:white;
-	font-size:2em;
+	font-weight: bold;
+	
+	/* Colors */
+	color: #fff;
+	background-color:#333;
+	
+	/* Borders */
+	border-top: 1px solid #555;
+	border-left: 1px solid #555;
+	border-bottom:1px solid #111;
+	border-right:1px solid #111;
+}
+#passwordChanger .passwordHeaderBorder{
+	border-bottom:1px solid #555;
+	width:340px;
+	margin-left:-21px;
+	margin-bottom:5px;
+}
+
+#passwordChanger .button{
+	/* Position & Size */
+	width:125px;
+	height:33px;
+	margin-top:10px;
+	margin-right:18px;
+	
+	/* Colors */
+	background: #a8a8a8;
+	background: -webkit-gradient(linear, left top, left bottom, from(#f0f0f0), to(#a8a8a8));
+	background: -moz-linear-gradient(top, #f0f0f0, #a8a8a8);
+	background: linear-gradient(to bottom, #f0f0f0, #a8a8a8);
+	color: #5c5c5c;
+	
+	/* Font */
+	font: 16px Helvetica;
+	font-weight: bold;
+	text-align: center;
+	
+	/* Borders */
+	border: 1px solid #d0d0d0;
+	-webkit-border-radius: 2px;
+	-moz-border-radius: 2px;
+	border-radius: 2px;
+
+}
+
+#passwordChanger .button:hover, .button:active, .button:focus {
+	background: #a0a0a0;
+	background: -webkit-gradient(linear, left top, left bottom, from(#d0d0d0), to(#a0a0a0));
+	background: -moz-linear-gradient(top, #d0d0d0, #a0a0a0);
+	border-color: #777;
+	color: #ffffff;
+	font-weight: bold;
+	text-decoration: none;
+	font-style: none;
+}
+
+#formContainer{
+	z-index:3000000;
+	position: fixed;
+    height: 175px;
+    width: 305px;
+	padding-left:15px;
+    margin: -150px 0 0 -160px;
+    top: 50%;
+    left: 50%;
+	background-color:lightgray;
+	border: 1px solid darkgray;
+	font: 13px Helvetica;
 	text-shadow: 0.5px 0.5px #ddd;
+	color: #4F5155;	
+}
+
+h2.loginTitle{
+	margin-left:-15px;
+	margin-bottom:10px;
+	text-indent:15px;
+	padding-top:5px;
+	padding-bottom:5px;
+	color:#FFF;
+	background-color:#333333;
+	}
+
+.placeholder { 
+	color: #aaa; 
+	}
+
+input.text{
+	margin-top:2px;
+	margin-left:5px;
+	margin-right:5px;
+	height:30px;
+	background-color:white;
+	width:280px;
+	font-size:22px;
+	color:color:#333333;
+	
+	/*Rounded corners*/
+	-webkit-border-radius: 7px;
+	-moz-border-radius: 7px;
+	border-radius: 7px;
+}
+
+input.submit{
+	float:right;
+	width:75px;
+	height:35px;
+	background-color:lightgray;
+	color:#333333;
+	margin-top:5px;
+	margin-right:18px;
+	
+	/*text style*/
+	font: 16px Helvetica;
+	
+	/*Rounded corners*/
+	-webkit-border-radius: 7px;
+	-moz-border-radius: 7px;
+	border-radius: 7px;
+}
+
+input.hint{
+	float:left;
+	width:35px;
+	height:35px;
+	background-color:lightgray;
+	color:#333333;
+	margin-top:5px;
+	margin-left:19px;
+	background-image:url(../img/loginhint.png);
+	background-position:center;
+	/*text style*/
+	font: 16px Helvetica;
+	
+	/*Rounded corners*/
+	-webkit-border-radius: 7px;
+	-moz-border-radius: 7px;
+	border-radius: 7px;
+}
+
+input.notValid{
+	background: #FF7F50;
+}
+
+input.Valid{
+	background: #98FB98;
+}
+
+.errorMessage{
+	float:right;
+	cursor:pointer;
+	font-family: "icomoon";
+	color:white;
+	font-size: 8px;
+	display:inline;
+	opacity:0;
 }
\ No newline at end of file

=== added file 'codeigniter/css/login_view.css'
--- codeigniter/css/login_view.css	1970-01-01 00:00:00 +0000
+++ codeigniter/css/login_view.css	2013-05-03 11:39:08 +0000
@@ -0,0 +1,34 @@
+/* TEMPORARY LOGIN INFORMATION - WILL BE REPLACED/NOT IMPLEMENTED */
+
+#infoWrapper{
+/* Position & Size */
+	position:absolute;
+	width: 70%;
+	top:15%;
+	left:30%;
+}
+
+.infoText{
+/* Position & Size */
+	position:relative;
+	height:400px;
+	width:500px;
+
+/* Colors and styling */	
+	background-image: url(http://1.bp.blogspot.com/-7aRhFnlWYV8/T0uBCnPU2OI/AAAAAAAAAJQ/PNqbCXHvD8M/s1600/JENNAHHS+SHITTY+ARROW.png);
+	background-size:500px 500px;
+	background-repeat:no-repeat;
+	background-position:top; 
+	opacity:0.2 !important;
+}
+p.info{
+/* Position & Size */
+	position:relative;
+	top:-8em;
+
+/* Colors and styling */
+	font-family: Helvetica;
+	font-size:22px;
+	font-weight:bold;
+	color: black;
+}
\ No newline at end of file

=== added file 'codeigniter/css/template_layout.css'
--- codeigniter/css/template_layout.css	1970-01-01 00:00:00 +0000
+++ codeigniter/css/template_layout.css	2013-05-03 11:39:08 +0000
@@ -0,0 +1,75 @@
+body{
+	background-color: white;
+}
+#menucolumn{
+	float: left;	
+	width: 161px;
+	background-color: #EEE;
+	margin: 10px;
+	margin-left: 6.6em;
+	margin-top: 5em;
+	border: 1px solid #D0D0D0;
+	border-bottom: 0px;
+	height: 250px;
+	
+}
+#boxcolumn{
+	width: 435px; // total width 395
+	height: auto;
+	margin: 40px;
+	margin-top:70px;
+	float: left;
+}
+.box{
+	width: 75px;
+	height: 75px;
+	float: left;
+	border: 2px solid black;
+	border-radius: 6px 6px 6px 6px;
+	-moz-border-radius: 6px 6px 6px 6px;
+	-webkit-border-radius: 6px 6px 6px 6px;
+	margin: 4px;
+	overflow:hidden;
+	background-repeat: no-repeat;
+	background-size: 100%;
+}
+.box2{
+	width: 75px;
+	height: 75px;
+	float: left;
+	border: 2px solid gray;
+	border-radius: 6px 6px 6px 6px;
+	-moz-border-radius: 6px 6px 6px 6px;
+	-webkit-border-radius: 6px 6px 6px 6px;
+	margin: 4px;
+	overflow:hidden;
+	background-color: lightgray;
+}
+#mostUsed{
+	overflow: auto;
+	width:100%;
+}
+#lessUsed{
+	overflow: auto;
+	width:	100%;
+	height: auto;
+}
+#buttonContainer{
+	width:100%;
+	height: 80px;
+	border-top: 3px solid black;	
+	border-radius: 8px 8px 8px 8px;
+	text-align: center;
+}
+	#buttonContainer a{
+		size: 20em;
+		padding: 10px;
+	}
+	.showhide{
+		color:#000;
+		text-decoration: none;
+	}
+	.showhide:hover{
+		color:#000;
+		text-decoration: none;
+	}
\ No newline at end of file

=== added file 'codeigniter/img/LSlogo.png'
Binary files codeigniter/img/LSlogo.png and codeigniter/img/LSlogo.png differ
=== added file 'codeigniter/img/expandIcon.png'
Binary files codeigniter/img/expandIcon.png and codeigniter/img/expandIcon.png differ
=== added file 'codeigniter/img/icomoon.ttf'
Binary files codeigniter/img/icomoon.ttf and codeigniter/img/icomoon.ttf differ
=== added directory 'codeigniter/img/template_layout_img'
=== added file 'codeigniter/img/template_layout_img/1.png'
Binary files codeigniter/img/template_layout_img/1.png and codeigniter/img/template_layout_img/1.png differ
=== added file 'codeigniter/img/template_layout_img/10.png'
Binary files codeigniter/img/template_layout_img/10.png and codeigniter/img/template_layout_img/10.png differ
=== added file 'codeigniter/img/template_layout_img/11.png'
Binary files codeigniter/img/template_layout_img/11.png and codeigniter/img/template_layout_img/11.png differ
=== added file 'codeigniter/img/template_layout_img/12.png'
Binary files codeigniter/img/template_layout_img/12.png and codeigniter/img/template_layout_img/12.png differ
=== added file 'codeigniter/img/template_layout_img/13.png'
Binary files codeigniter/img/template_layout_img/13.png and codeigniter/img/template_layout_img/13.png differ
=== added file 'codeigniter/img/template_layout_img/14.png'
Binary files codeigniter/img/template_layout_img/14.png and codeigniter/img/template_layout_img/14.png differ
=== added file 'codeigniter/img/template_layout_img/15.png'
Binary files codeigniter/img/template_layout_img/15.png and codeigniter/img/template_layout_img/15.png differ
=== added file 'codeigniter/img/template_layout_img/16.png'
Binary files codeigniter/img/template_layout_img/16.png and codeigniter/img/template_layout_img/16.png differ
=== added file 'codeigniter/img/template_layout_img/2.png'
Binary files codeigniter/img/template_layout_img/2.png and codeigniter/img/template_layout_img/2.png differ
=== added file 'codeigniter/img/template_layout_img/3.png'
Binary files codeigniter/img/template_layout_img/3.png and codeigniter/img/template_layout_img/3.png differ
=== added file 'codeigniter/img/template_layout_img/4.png'
Binary files codeigniter/img/template_layout_img/4.png and codeigniter/img/template_layout_img/4.png differ
=== added file 'codeigniter/img/template_layout_img/5.png'
Binary files codeigniter/img/template_layout_img/5.png and codeigniter/img/template_layout_img/5.png differ
=== added file 'codeigniter/img/template_layout_img/6.png'
Binary files codeigniter/img/template_layout_img/6.png and codeigniter/img/template_layout_img/6.png differ
=== added file 'codeigniter/img/template_layout_img/7.png'
Binary files codeigniter/img/template_layout_img/7.png and codeigniter/img/template_layout_img/7.png differ
=== added file 'codeigniter/img/template_layout_img/8.png'
Binary files codeigniter/img/template_layout_img/8.png and codeigniter/img/template_layout_img/8.png differ
=== added file 'codeigniter/img/template_layout_img/9.png'
Binary files codeigniter/img/template_layout_img/9.png and codeigniter/img/template_layout_img/9.png differ
=== added file 'codeigniter/js/examplesMenu.js'
--- codeigniter/js/examplesMenu.js	1970-01-01 00:00:00 +0000
+++ codeigniter/js/examplesMenu.js	2013-05-03 11:39:08 +0000
@@ -0,0 +1,17 @@
+/* Functions */
+$(document).ready(function(){
+
+	
+	/* When menu item is clicked, scroll down to target with -64px offset. 
+	 * Target is decided according to h1[name='xxx'] instead of id. 
+	 */
+	$('#navigation li.menuLink').click(function(e) {
+	    e.preventDefault();
+		$this =$(this);
+	    var target = ($this.data('name') + ', h1[name="' + $this.data('name') + '"]'),
+	    $target = $(target);
+	    $('html, body').stop().animate({
+	        'scrollTop': $target.offset().top -64
+	    }, 400, 'swing');
+	});
+});
\ No newline at end of file

=== added file 'codeigniter/js/headTag.js'
--- codeigniter/js/headTag.js	1970-01-01 00:00:00 +0000
+++ codeigniter/js/headTag.js	2013-05-03 11:39:08 +0000
@@ -0,0 +1,3 @@
+$(document).ready(function(){
+
+});
\ No newline at end of file

=== added file 'codeigniter/js/header.js'
--- codeigniter/js/header.js	1970-01-01 00:00:00 +0000
+++ codeigniter/js/header.js	2013-05-03 11:39:08 +0000
@@ -0,0 +1,238 @@
+/* Global variables */
+var popoutMenu=0;
+var expandedCourses=0;
+
+/* Functions */
+$(document).ready(function(){
+	$('#expandedCourses').hide();
+	$('#popoutMenu').hide();
+	$('#passwordChanger').hide();
+
+
+	/* Check courses in expanded menu */
+	$('li[class="expanded"]').click(function(){
+		if($(this).hasClass('checkedCourse')){
+			$(this).removeClass('checkedCourse');
+		}
+		else{
+			$(this).addClass("checkedCourse");
+		}
+	});
+
+	/* Blurs body and opens password changer */
+	$('li[name="changePwd"]').click(function(e){
+		e.stopPropagation();
+		$('#popoutMenu').stop(false, false).slideUp(300);
+		popoutMenu=0;
+	    $('body *').not('#passwordChanger, #passwordChanger *').animate({
+		opacity:0.4}, 400);
+		$('#passwordChanger').fadeIn(300);
+		$('#passwordChanger').css('z-index', 3000);
+	});
+	
+	$('body').click(function(e){
+		$('#formContainer').fadeOut(300);
+		$('#passwordChanger').fadeOut(300);
+		$('body *').animate({
+		opacity:1}, 400);
+		$('#changePassword')[0].reset();
+	});
+	
+	$('#passwordChanger').click(function(e){
+		e.stopPropagation();
+	});
+	
+	$('#formContainer').click(function(e){
+		e.stopPropagation();
+	});
+	
+	$('#popoutLink').click(function(e){
+		if(popoutMenu==0){
+			$('#popoutMenu').stop(false, true).slideDown(300);
+			popoutMenu=1;
+			e.stopPropagation();
+		// FIXA SÅ MENYN INTE KOMMER UPP IGEN
+		}
+		else if(popoutMenu==1){
+			$('#popoutMenu').stop(false, false).slideUp(300);	
+			popoutMenu=0;
+			e.stopPropagation();
+		}
+	});
+	
+	$('#loginLink').click(function(e){
+		var target = $('#formContainer');
+		if(target.is(":hidden")){
+			target.fadeIn(300);
+			$('#username').focus();
+			e.stopPropagation();
+		}
+		else{
+			target.fadeOut(300);
+		}
+		
+	});
+});
+
+window.onkeyup = function(event){
+	if(event.keyCode==27){
+		$('#formContainer').fadeOut(300);
+		$('#passwordChanger').fadeOut(300);
+		$('body *').animate({
+		opacity:1}, 400);
+		$('#changePassword')[0].reset();
+	}
+}
+
+/* Closing password changer and reactivates body */
+function cancelPasswordChange(){
+	$('#passwordChanger').fadeOut(300);
+	$('body *').animate({
+	opacity:1}, 400);
+	$('#changePassword')[0].reset();
+}
+
+
+/* Expand/Collapse courses in popout menu */
+function expandCourses(){
+	if(expandedCourses==0){
+	$('#expandedCourses').stop(false, true).slideDown(300);
+	expandedCourses=1;
+	}
+	else if(expandedCourses==1){
+		$('#expandedCourses').stop(false, false).slideUp(300);	
+		expandedCourses=0;
+	}
+}
+
+
+
+/* Password validation */
+var acceptedNewPwd = false;
+var acceptedRepeatedPwd = false;
+
+function emptyField(inputId){
+	var id = document.getElementById(inputId);
+	if(id.value.match(/^\s*$/)){
+		return true;
+	}
+	else return false;
+}
+
+/* Checks input field for invalid characters */
+function pwdValidCharacters(inputId){
+	var id = document.getElementById(inputId);
+	if(id.value.match(/^[A-Ã–a-Ã¶0-9 _]*[A-Ã–a-Ã¶0-9][A-Ã–a-Ã¶0-9 _]*$/)){
+		return true;
+	}
+	else return false;
+}
+
+/* Checks input field for minimum amount of characters(6) */
+function pwdMininumValue(inputId){
+	var id = document.getElementById(inputId);
+	if(id.value.length > 5){
+		return true;
+	}
+	else return false;
+}
+
+/* Checks if newPwd and repeatPwd are the same */
+function pwdMatch(){
+	var firstPwd = document.getElementById("newPwd").value;
+	var secondPwd = document.getElementById("repeatPwd").value;
+	if(firstPwd == secondPwd){
+		return true;
+	}
+	else return false;
+}
+
+function validNewPwd(){
+	var empty = emptyField("newPwd");
+	var validchar = pwdValidCharacters("newPwd");
+	var minimumchar = pwdMininumValue("newPwd");
+
+	if (empty==false && validchar==true && minimumchar==true){
+		document.getElementById("newPwd").className="Valid";
+		$('.errorMessage[name="newPwd"]').animate({opacity:0}, 0);
+		acceptedNewPwd=true;
+	}
+	else if(empty==true){
+		acceptedNewPwd=false;
+		document.getElementById("newPwd").className="";
+		$('.errorMessage[name="newPwd"]').animate({opacity:0}, 0);
+	}
+	else if(empty==false && validchar==false || minimumchar==false){
+		document.getElementById("newPwd").className="notValid";
+		$('.errorMessage[name="newPwd"]').animate({opacity:1}, 0);
+		acceptedNewPwd=false;
+	}
+}
+
+function validRepeatedPwd(){
+	var empty = emptyField("repeatPwd");
+	var match = pwdMatch("repeatPwd");
+	
+	if(validNewPwd){
+		if(empty==true){
+			document.getElementById("repeatPwd").className="";
+			$('.errorMessage[name="repeatPwd"]').animate({opacity:0}, 0);
+			acceptedRepeatedPwd=false;
+		}
+		else if(empty==false && match==false){
+			document.getElementById("repeatPwd").className="notValid";
+			$('.errorMessage[name="repeatPwd"]').animate({opacity:1}, 0);
+			acceptedRepeatedPwd=false;
+		}
+		else if(empty==false && match==true){
+			document.getElementById("repeatPwd").className="Valid";
+			$('.errorMessage[name="repeatPwd"]').animate({opacity:0}, 0);
+			acceptedRepeatedPwd=true;
+		}
+	}
+	else{
+		document.getElementById("repeatPwd").className="";
+	}
+}
+
+/* baseURL skickas med som parameter */
+function confirm(baseURL){
+	if(acceptedNewPwd && acceptedRepeatedPwd){
+		changePwd(baseURL);
+	}
+	else{
+		alert("WRONG WRONG WRONG!! FILL OUT THE FORM AGAIN YOU FKIN PIECE OF SHIT!");
+		return false;
+	}
+}
+
+function changePwd(baseURL)
+{
+	var currentPwd = document.getElementById("currentPwd").value;
+	var newPwd = document.getElementById("newPwd").value;
+	var hintPwd = document.getElementById("hintPwd").value;
+
+	$.ajax({
+		type: 'POST',
+		url: baseURL+'ajax/pwdchange',
+		data: { 
+			currentPwd : currentPwd,
+			newPwd : newPwd,
+			hintPwd : hintPwd
+		},
+		success:  function(result){
+			var resultObject = JSON.parse(result);
+			if(resultObject.status==true){
+				alert('Password change is successful!');
+				$('#formContainer').fadeOut(300);
+				$('#passwordChanger').fadeOut(300);
+				$('body *').animate({
+				opacity:1}, 400);
+				$('#changePassword')[0].reset();
+			}
+			else{
+				alert('Wrong password!');
+			}
+		}
+	});
+}
\ No newline at end of file

=== added file 'codeigniter/js/login_view.js'
=== added file 'codeigniter/js/template_layout.js'
--- codeigniter/js/template_layout.js	1970-01-01 00:00:00 +0000
+++ codeigniter/js/template_layout.js	2013-05-03 11:39:08 +0000
@@ -0,0 +1,14 @@
+function hide(){
+
+$('#hideButton').hide();
+$('#showButton').show();
+$('#lessUsed').slideUp(1000);
+//document.getElementById("showButton").removeAttribute("hidden");
+ }
+ function show(){
+$('#hideButton').show();
+$('#showButton').hide();
+$('#lessUsed').slideDown(1000);
+
+ }
+

